Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.widget
Class OWLWidgetMapper

    java.lang.Object
      edu.stanford.smi.protege.widget.DefaultWidgetMapper
          edu.stanford.smi.protegex.owl.ui.widget.OWLWidgetMapper

All Implemented Interfaces:
  edu.stanford.smi.protege.widget.WidgetMapper

    public class OWLWidgetMapper

extends edu.stanford.smi.protege.widget.DefaultWidgetMapper

Author:
  Holger Knublauch

Constructor Summary
`OWLWidgetMapper(OWLModel owlModel)`

Method Summary
`String` | `getDefaultWidgetClassName(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)`
`String` | `getDefaultWidgetClassName(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, boolean forceNotNull)`
`static OWLWidgetMetadata` | `getOWLWidgetMetadata(String className)`
`Collection` | `getSuitableWidgetClassNames(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)`
`static boolean` | `isIncompatibleWidgetName(String className)`
`static boolean` | `isSuitable(Class clazz, edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)`

Methods inherited from class edu.stanford.smi.protege.widget.DefaultWidgetMapper
`createWidgetDescriptor, isSuitable, isSuitableWidget, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLWidgetMapper

    public OWLWidgetMapper(OWLModel owlModel)

Method Detail

### getDefaultWidgetClassName

    public String getDefaultWidgetClassName(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot,
                                            edu.stanford.smi.protege.model.Facet facet)

  Specified by:
    `getDefaultWidgetClassName` in interface `edu.stanford.smi.protege.widget.WidgetMapper`
  Overrides:
    `getDefaultWidgetClassName` in class `edu.stanford.smi.protege.widget.DefaultWidgetMapper`

### getDefaultWidgetClassName

    public String getDefaultWidgetClassName(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot,
                                            edu.stanford.smi.protege.model.Facet facet,
                                            boolean forceNotNull)

### getOWLWidgetMetadata

    public static OWLWidgetMetadata getOWLWidgetMetadata(String className)

### getSuitableWidgetClassNames

    public Collection getSuitableWidgetClassNames(edu.stanford.smi.protege.model.Cls cls,
                                                  edu.stanford.smi.protege.model.Slot slot,
                                                  edu.stanford.smi.protege.model.Facet facet)

  Specified by:
    `getSuitableWidgetClassNames` in interface `edu.stanford.smi.protege.widget.WidgetMapper`
  Overrides:
    `getSuitableWidgetClassNames` in class `edu.stanford.smi.protege.widget.DefaultWidgetMapper`

### isIncompatibleWidgetName

    public static boolean isIncompatibleWidgetName(String className)

### isSuitable

    public static boolean isSuitable(Class clazz,
                                     edu.stanford.smi.protege.model.Cls cls,
                                     edu.stanford.smi.protege.model.Slot slot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.